function [] = show_sectors_for_stage(axis_handle, stage_dir, mean_shape_dir)
% stage_dir = 'Staged\P38\';
% mean_shape_dir = 'Staged\Data';
cla(axis_handle);
%files = FindFilenames('warped_sector_info', stage_dir);
files = findfiles('warped_sector_info.mat', stage_dir);
for i=1:length(files)
    file = files{i};
    info = load(file);
    info = info.warped_sector_info;
    plot_handle = plot_ellipse_axis(axis_handle, info, [0 0 0]);
end
hold(axis_handle, 'on');
plot_mean_shape(axis_handle, mean_shape_dir);
axis(axis_handle, 'image', 'xy');
%set(axis_handle, 'Visible', 'off')
%set(gcf, 'Color', [1 1 1])